#
# spec file for package python-Distutils2
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-Distutils2
Version:        1.0a4
Release:        13.5
Url:            http://bitbucket.org/tarek/distutils2/wiki/Home
Summary:        Python Distribution Utilities
License:        Python-2.0
Group:          Development/Languages/Python
Source:         Distutils2-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
%if 0%{?suse_version}
%py_requires
%if 0%{?suse_version} > 1110
BuildArch:      noarch
%endif
%endif
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%description
Distutils2 is the new version of Distutils. It's not backward compatible with
Distutils but provides more features, and implement most new packaging
standards.

See the documentation at http://packages.python.org/Distutils2 for more info.

%prep
%setup -q -n Distutils2-%{version}

%build
export CFLAGS="%{optflags}"
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}/*
%{_bindir}/pysetup
%exclude %{python_sitelib}/distutils2/tests/xxmodule.c

%changelog
* Sun Jun  3 2012 os-dev@jacraig.com
- Update to 1.0a4:
  * Many fixes and changes, see CHANGES.TXT
- Add pysetup script in %%files
- Bzip source tarball
* Wed May  9 2012 coolo@suse.com
- patch license to be in spdx.org format
* Tue May 31 2011 saschpe@suse.de
- Initial version (1.0a3)
